# 49. Query: Get Gridded Data from "FieldSatelliteImage"

Query to get gridded data from the raster dataset related to "FieldSatelliteImage" as `GEOJSON`  with points or `GEOTIFF`. The properties attribute depends on the provider and usually contains the original provider data (like RED, GREEN, BLUE, NIR, and even Clear Land) per point/pixel. More details about the exported file can be found [HERE](/geopard-tutorials/product-tour-web-app/export-download/satellite-imagery-export-as-geotiff-or-geojson.md).

#### 1. Request a file to export

{% hint style="danger" %}
Recommended retrieving only a single dataset with `sourceDataUrl` per request.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, and `MinusTwoPixels` are available as a `buffer`.

`GEOJSON` and `GEOTIFF` are available as a format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Download the generated file

After the successful preparation of the file, it is possible to download it using `curl` or a similar approach.

{% hint style="danger" %}
`sourceDataUrl` link is accessible for only **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/49.-query-get-gridded-data-from-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
